Subject: bug#13154: 24.3.50; emacs_backtrace.txt (different one)

From: martin rudalics <[email-masked]>
Date: Fri, 14 Dec 2012 11:24:43 +0100

> Corrupted stack is not the issue.  AFAIU, we are looking for some C
 > code which doesn't balance specbind/record_unwind_protect with the
 > corresponding unbind_to.

I don't see the difference.  In either case the stack is inconsistent
when popped.

 > This code could be executed by some
 > primitive, or some C function called from some primitive, that is
 > invoked from Lisp.  The problem is to find that Lisp.  I hope Drew
 > will be able to, given the above hints.

FWIW I suppose that Drew ended up with some invalid byte code from a
binary afflicted with

  http://lists.gnu.org/archive/html/emacs-devel/2012-12/msg00079.html

and didn't recompile with the later binaries (or a bug similar to the
one fixed by Andreas still persists).

martin